#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    long long n, m, r;
    cin>>n>>m;
    r = 2*n + 2*(m-2) + ((n-2)*(m-2))/2;

    cout<<r<<'\n';
    return 0;
}